[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.Put

Write an object to the stream.

## Declaration

Source position: objects.pp line 288

`procedure TStream.Put(`
`P: PObject`
`);`

## Description

Put writes the object pointed to by P. P should be non-nil. The object type must have been registered with RegisterType.

After the object has been written, it can be read again with Get.

For an example, see TStream.Get;

## Errors

No check is done whether P is Nil or not. Passing Nil will cause a run-time error 216 to be generated. If the object has not been registered, the status of the stream will be set to stPutError.

## See also

TStream.Get |  | Read an object definition from the stream.

Documentation generated on: Feb 26 2014